Package org.springframework.security.config.ldap

# Class LdapBindAuthenticationManagerFactory

java.lang.Object
org.springframework.security.config.ldap.AbstractLdapAuthenticationManagerFactory<org.springframework.security.ldap.authentication.BindAuthenticator>
org.springframework.security.config.ldap.LdapBindAuthenticationManagerFactory

public class LdapBindAuthenticationManagerFactory extends AbstractLdapAuthenticationManagerFactory<org.springframework.security.ldap.authentication.BindAuthenticator>
Creates an `AuthenticationManager` that can perform LDAP authentication using bind authentication.

Since:
  5.7

## Constructor Summary

Constructors
Constructor
Description
`LdapBindAuthenticationManagerFactory(org.springframework.ldap.core.support.BaseLdapPathContextSource contextSource)`

## Method Summary

Modifier and Type
Method
Description
`protected org.springframework.security.ldap.authentication.BindAuthenticator`
`createDefaultLdapAuthenticator()`
Allows subclasses to supply the default `AbstractLdapAuthenticator`.

### Methods inherited from class org.springframework.security.config.ldap.AbstractLdapAuthenticationManagerFactory

`createAuthenticationManager, getContextSource, setAuthoritiesMapper, setContextSource, setLdapAuthoritiesPopulator, setUserDetailsContextMapper, setUserDnPatterns, setUserSearchBase, setUserSearchFilter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LdapBindAuthenticationManagerFactory

public LdapBindAuthenticationManagerFactory(org.springframework.ldap.core.support.BaseLdapPathContextSource contextSource)

## Method Details

### createDefaultLdapAuthenticator

protected org.springframework.security.ldap.authentication.BindAuthenticator createDefaultLdapAuthenticator()
Description copied from class: `AbstractLdapAuthenticationManagerFactory`
Allows subclasses to supply the default `AbstractLdapAuthenticator`.

Specified by:
  `createDefaultLdapAuthenticator` in class `AbstractLdapAuthenticationManagerFactory<org.springframework.security.ldap.authentication.BindAuthenticator>`
Returns:
  the `AbstractLdapAuthenticator` that will be configured for LDAP authentication